Skip to main content
GET
/
api
/
v1
/
series
List series
curl --request GET \
  --url https://demo.komga.org/api/v1/series \
  --header 'Authorization: Basic <encoded-value>'
{
  "content": [
    {
      "booksCount": 123,
      "booksInProgressCount": 123,
      "booksMetadata": {
        "authors": [
          {
            "name": "<string>",
            "role": "<string>"
          }
        ],
        "created": "2023-11-07T05:31:56Z",
        "lastModified": "2023-11-07T05:31:56Z",
        "summary": "<string>",
        "summaryNumber": "<string>",
        "tags": [
          "<string>"
        ],
        "releaseDate": "2023-12-25"
      },
      "booksReadCount": 123,
      "booksUnreadCount": 123,
      "created": "2023-11-07T05:31:56Z",
      "deleted": true,
      "fileLastModified": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "lastModified": "2023-11-07T05:31:56Z",
      "libraryId": "<string>",
      "metadata": {
        "ageRatingLock": true,
        "alternateTitles": [
          {
            "label": "<string>",
            "title": "<string>"
          }
        ],
        "alternateTitlesLock": true,
        "created": "2023-11-07T05:31:56Z",
        "genres": [
          "<string>"
        ],
        "genresLock": true,
        "language": "<string>",
        "languageLock": true,
        "lastModified": "2023-11-07T05:31:56Z",
        "links": [
          {
            "label": "<string>",
            "url": "<string>"
          }
        ],
        "linksLock": true,
        "publisher": "<string>",
        "publisherLock": true,
        "readingDirection": "<string>",
        "readingDirectionLock": true,
        "sharingLabels": [
          "<string>"
        ],
        "sharingLabelsLock": true,
        "status": "<string>",
        "statusLock": true,
        "summary": "<string>",
        "summaryLock": true,
        "tags": [
          "<string>"
        ],
        "tagsLock": true,
        "title": "<string>",
        "titleLock": true,
        "titleSort": "<string>",
        "titleSortLock": true,
        "totalBookCountLock": true,
        "ageRating": 123,
        "totalBookCount": 123
      },
      "name": "<string>",
      "oneshot": true,
      "url": "<string>"
    }
  ],
  "empty": true,
  "first": true,
  "last": true,
  "number": 123,
  "numberOfElements": 123,
  "pageable": {
    "offset": 123,
    "pageNumber": 123,
    "pageSize": 123,
    "paged": true,
    "sort": {
      "empty": true,
      "sorted": true,
      "unsorted": true
    },
    "unpaged": true
  },
  "size": 123,
  "sort": {
    "empty": true,
    "sorted": true,
    "unsorted": true
  },
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

library_id
string[]
collection_id
string[]
status
enum<string>[]
Available options:
ENDED,
ONGOING,
ABANDONED,
HIATUS
read_status
enum<string>[]
Available options:
UNREAD,
READ,
IN_PROGRESS
publisher
string[]
language
string[]
genre
string[]
tag
string[]
age_rating
string[]
release_year
string[]
sharing_label
string[]
deleted
boolean
complete
boolean
oneshot
boolean
unpaged
boolean
search_regex
string

Search by regex criteria, in the form: regex,field. Supported fields are TITLE and TITLE_SORT.

page
integer

Zero-based page index (0..N)

size
integer

The size of the page to be returned

sort
string[]

Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

author
string[]

Author criteria in the format: name,role. Multiple author criteria are supported.

Response

OK

content
object[]
empty
boolean
first
boolean
last
boolean
number
integer<int32>
numberOfElements
integer<int32>
pageable
object
size
integer<int32>
sort
object
totalElements
integer<int64>
totalPages
integer<int32>